SmilesParseOps.h File Reference
`#include <GraphMol/Bond.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| SmilesParseOps

## Functions

void | SmilesParseOps::ReportParseError (const char *message, bool throwIt=true)
void | SmilesParseOps::CleanupAfterParseError (RDKit::RWMol *mol)
void | SmilesParseOps::AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE, bool closeRings=false, bool doingQuery=false)
RDKit::Bond::BondType | SmilesParseOps::GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
void | SmilesParseOps::CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
void | SmilesParseOps::AdjustAtomChiralityFlags (RDKit::RWMol *mol)
void | SmilesParseOps::CleanupAfterParsing (RDKit::RWMol *mol)